relaxngcc.datatype.parser

## Class Start

- java.lang.Object
- - relaxngcc.datatype.parser.NGCCHandler
  - - relaxngcc.datatype.parser.Start

All Implemented Interfaces:
  NGCCEventReceiver

    public class Start
    extends NGCCHandler

### Constructor Summary

Constructors
Constructor and Description
`Start(NGCCHandler parent, NGCCEventSource source, ParserRuntime runtime, int cookie)`
`Start(ParserRuntime runtime)`

### Method Summary

Methods
`boolean` `accepted()`
`void` `enterAttribute(java.lang.String $__uri, java.lang.String $__local, java.lang.String $__qname)`
`void` `enterElement(java.lang.String $__uri, java.lang.String $__local, java.lang.String $__qname, org.xml.sax.Attributes $attrs)`
`NGCCRuntime` `getRuntime()` This method will be implemented by the generated code and returns a reference to the current runtime.
`void` `leaveAttribute(java.lang.String $__uri, java.lang.String $__local, java.lang.String $__qname)`
`void` `leaveElement(java.lang.String $__uri, java.lang.String $__local, java.lang.String $__qname)`
`void` `onChildCompleted(java.lang.Object $__result__, int $__cookie__, boolean $__needAttCheck__)` Notifies the completion of a child object.
`void` `text(java.lang.String $value)`

### Methods inherited from class relaxngcc.datatype.parser.NGCCHandler

`revertToParentFromEnterAttribute, revertToParentFromEnterElement, revertToParentFromLeaveAttribute, revertToParentFromLeaveElement, revertToParentFromText, spawnChildFromEnterAttribute, spawnChildFromEnterElement, spawnChildFromLeaveAttribute, spawnChildFromLeaveElement, spawnChildFromText, unexpectedEnterAttribute, unexpectedEnterElement, unexpectedLeaveAttribute, unexpectedLeaveElement`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Start

    public Start(NGCCHandler parent,
         NGCCEventSource source,
         ParserRuntime runtime,
         int cookie)

#### Start

    public Start(ParserRuntime runtime)

### Method Detail

#### getRuntime

    public final NGCCRuntime getRuntime()

Description copied from class: `NGCCHandler`
This method will be implemented by the generated code and returns a reference to the current runtime.

#### enterElement

    public void enterElement(java.lang.String $__uri,
                    java.lang.String $__local,
                    java.lang.String $__qname,
                    org.xml.sax.Attributes $attrs)
                      throws org.xml.sax.SAXException

Throws:
  `org.xml.sax.SAXException`

#### leaveElement

    public void leaveElement(java.lang.String $__uri,
                    java.lang.String $__local,
                    java.lang.String $__qname)
                      throws org.xml.sax.SAXException

Throws:
  `org.xml.sax.SAXException`

#### enterAttribute

    public void enterAttribute(java.lang.String $__uri,
                      java.lang.String $__local,
                      java.lang.String $__qname)
                        throws org.xml.sax.SAXException

Throws:
  `org.xml.sax.SAXException`

#### leaveAttribute

    public void leaveAttribute(java.lang.String $__uri,
                      java.lang.String $__local,
                      java.lang.String $__qname)
                        throws org.xml.sax.SAXException

Throws:
  `org.xml.sax.SAXException`

#### text

    public void text(java.lang.String $value)
              throws org.xml.sax.SAXException

Throws:
  `org.xml.sax.SAXException`

#### onChildCompleted

    public void onChildCompleted(java.lang.Object $__result__,
                        int $__cookie__,
                        boolean $__needAttCheck__)
                          throws org.xml.sax.SAXException

Description copied from class: `NGCCHandler`
Notifies the completion of a child object.

Parameters:
  `$__result__` - The parsing result of the child state.
  `$__cookie__` - The cookie value passed to the child object when it is created.
  `$__needAttCheck__` - This flag is true when the callee needs to call the processAttribute method to check attribute transitions. This flag is set to false when this method is triggered by attribute transition.
Throws:
  `org.xml.sax.SAXException`

#### accepted

    public boolean accepted()